-- Customer specific once-script related to logcenter call: AAIT#35373
--
-- (c) 2016 Facilitor B.V.
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
--
-- Maak voor alle AAIT gebruikers een APIKEY aan

ALTER TABLE aait_imp_perslid
       ADD prs_perslid_apikey VARCHAR2(128);

UPDATE fac_setting
   SET fac_setting_pvalue = 83 -- Bedrijf AA FM
 WHERE fac_setting_name = 'xd_primary_bedrijfkey';

-- Initieel zetten
UPDATE prs_perslid p
   SET p.prs_perslid_apikey = DBMS_RANDOM.string ('a', 32)
 WHERE p.prs_perslid_apikey IS NULL AND p.prs_perslid_verwijder IS NULL
   AND p.prs_afdeling_key IN
             (SELECT a.prs_afdeling_key
                FROM prs_v_afdeling a
               WHERE a.prs_bedrijf_key =
                        fac.getsetting ('xd_primary_bedrijfkey'));

UPDATE aait_imp_perslid i
   SET prs_perslid_apikey = (SELECT prs_perslid_apikey
                               FROM prs_perslid p
                              WHERE p.prs_perslid_key = i.prs_perslid_key);

COMMIT;

BEGIN adm.systrackscriptid ('$Id$'); END;
/
